lp:~elopio/click/fix-two-tests

Created by Leo Arias on 2017-06-07 and last modified on 2017-06-07
Get this branch:
bzr branch lp:~elopio/click/fix-two-tests
Only Leo Arias can upload to this branch. If you are Leo Arias please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Leo Arias
Project:
click
Status:
Development

Recent revisions

624. By Test User <email address hidden> on 2017-06-07

update the expected results in test_verify

623. By Test User <email address hidden> on 2017-06-06

adt fix

622. By Sergio Schvezov on 2017-06-01

Remove unnecessary conflict

621. By Sergio Schvezov on 2017-06-01

revert pk change

620. By Sergio Schvezov on 2017-05-26

Rename the python package this installs from click to click_package.

619. By CI Train Bot Account on 2016-09-16

Releasing 0.4.45.1+16.10.20160916-0ubuntu1

618. By CI Train Bot Account on 2016-09-16

* Kill gpg-agent (if possible) after running debsigs in integration tests.
* Copy integration test GPG keyring to a temporary directory so that the
  GPG agent socket name doesn't end up being too long.

617. By CI Train Bot Account on 2016-08-28

Releasing 0.4.45+16.10.20160828.1-0ubuntu1

616. By CI Train Bot Account on 2016-08-28

* Emit more debugging information when libclickpreload/libgimockpreload
  fail.
* Preload __xmknod rather than mknod (LP: #1615757).
* Stop the test suite leaving spurious empty /tmp/gimock* directories
  around.
* Remove stray blank line from click_package_install_hooks test preload
  annotations.
* Link libgimockpreload properly against libclick and several other
  libraries, and use -Wl,--no-as-needed to stop the linker discarding
  references to libraries that will be used via dlsym.
* Initialise real_* pointers in libgimockpreload more reliably.
* Export click_get_user_home for the benefit of the test suite.
* Fix click_get_user_home mocks to return bytes rather than text, avoiding
  obscure crashes in the test suite.
* Fix builds on xenial and earlier: build-depending on
  libpackagekit-glib2-dev (...) | base-files isn't resolved properly by
  apt, but we can just build-depend on libpackagekit-glib2-dev and let the
  rest of the build machinery disable use of PackageKit if it's 1.0.0 or
  newer.

615. By CI Train Bot Account on 2016-08-11

Releasing 0.4.44+16.10.20160811.1-0ubuntu1

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:click
This branch contains Public information 
Everyone can see this information.

Subscribers